# DT's Simple Share

Simplify page/post sharing with an easily added sharebar for users. 

View on wordpress.org: https://wordpress.org/plugins/dts-simple-share/

## Description

DT's Simple Share plugin is designed for quick implementation. Install, activate, and save settings to add a sharebar to help visitors easily share your site's pages, posts or custom post types with ease. Users can share posts with Facebook, Twitter, LinkedIn, Reddit, Tumblr, StumbleUpon, Email, or Pinterest.

This WordPress social media sharing plugin is simple, with minimal options, and no reliance 3rd-party resources (such as the Facebook SDK scripts).

DT's Simple Share does *not* allow you to change any meta titles, keywords, open graph data, etc. It only provides a generally-configurable sharebar of social media platforms for users to quickly share URLs from blog posts, pages, or custom post types of your choosing.

In Settings, sharing platforms/icons can be shown or hidden, and default values can be set for share meta (Twitter "via", hashtags, etc).

## SEO Plugin Title Support

SEO post title support for [Yoast SEO](https://wordpress.org/plugins/wordpress-seo/) and [All-in-one SEO Pack](https://wordpress.org/plugins/all-in-one-seo-pack/) is built in. If no SEO title is detected for the post, the WordPress post title is used. Please note there is not yet support for using Yoast, All-in-one SEO, or other plugins' custom social media post titles.

Other SEO plugin support for post titles can be added upon request.

## AMP Support

In Settings, AMP-specific [amp-social-share](https://amp.dev/documentation/components/amp-social-share/) elements available to be used in lieu of traditional HTML for social media sharing icons. There is out-of-the-box AMP page detection included for the [AMP](https://wordpress.org/plugins/amp/) plugin, and the [AMP for WP - Accelerated Mobile Pages](https://wordpress.org/plugins/accelerated-mobile-pages/) plugin. 

If neither of these plugins are in use on your site, you can enable the setting to detect if the page's URL ends in /amp/ - which is not a foolproof way to detect AMP, but can be used if other options are not available.

If additional AMP plugin support is required, please email [the author](https://profiles.wordpress.org/missionmike/) to request.

## Social Media Platform Support

Currently, the following platforms and share options are supported:

* Facebook
* Twitter
* LinkedIn
* Reddit
* Tumblr
* Email
* Pinterest

## Let's Build

If you'd like to see another platform included, please let me know!

Please kindly report any issues or conflicts to the author by [opening a support request](https://wordpress.org/support/plugin/dts-simple-share/) or emailing the author.

## Special Thanks

Thanks to the contributors of the [social-share-urls GitHub repo](https://github.com/bradvin/social-share-urls), which helped make this plugin development possible.
